<div class="section-container">
    <form [formGroup]="loanPurposeFormGroup">
        <div class="step">
            <h1 class="step-title">Loan Purpose, Amount & Tenure</h1>
            <div class="step-body">
                <p class="p-large">Please select required loan amount and time for which the loan is required.</p>
                <app-loader *ngIf="dataLoader"></app-loader>
                <div class="form-group">
                    <div class="form-row">
                        <div class="form-col">
                            <mat-form-field>
                                <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="loanType"  placeholder="Other" disableOptionCentering>
                                    <mat-option *ngFor="let type of constantsService.constants.loanTypes" [value]="type.key">{{type.value}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-col-50">
                            <mat-form-field>
                                <mat-label>Loan Amount</mat-label>
                                <input matInput autocomplete="off" #loanamount (blur)="loanAmountBlur()" [errorStateMatcher]="formSubmittedMatcher" formControlName="loanAmount" type="text" indianCurrencyFormatter [length]="amountLengthLimit(loanLimits.amountDetails.maxAmount)" />
                                <mat-error *ngIf="form.loanAmount.errors && form.loanAmount.errors.required">Please enter loan amount</mat-error>
                            </mat-form-field>
                        </div>
                        <div class="form-col slider-col">
                            <mat-slider (change)="updateLoanAmount($event)" [step]="sliderStep" [min]="loanLimits.amountDetails.minAmount" [max]="loanLimits.amountDetails.maxAmount" [value]="form.loanAmount.value"></mat-slider>
                            <label class="loan-range clearfix">
                                <span class="less-range">{{loanLimits.amountDetails.minAmount | indianCurrency: 0}}</span>
                                <span class="more-range">{{loanLimits.amountDetails.maxAmount | indianCurrency: 0}}</span>
                            </label>
                        </div>
                    </div>
                    <div class="form-row">
                      <p class="p-label lable-padding">Loan duration in terms of Days & Months</p>
                    </div>
                    <div class="form-row">
                        <div class="radio-wrap">
                            <mat-chip-list [errorStateMatcher]="formSubmittedMatcher" formControlName="loanDuration" multiple="false" selectable="true">
                                <mat-chip class="mat-chip-selected" [disableRipple]="true" [selected]="form.loanDuration.value == type.id" *ngFor="let type of constantsService.constants.loanDuration" [value]="type.id" [disabled]="type.id == 1" (click)="selectLoanDuration(type.id)">
                                    {{type.value}}
                                </mat-chip>
                            </mat-chip-list>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-col-50">
                            <mat-form-field>
                                <mat-label>Loan Tenure</mat-label>
                                <input matInput autocomplete="off" (blur)="tenureBlur()" [errorStateMatcher]="formSubmittedMatcher" formControlName="tenure" type="text" numberOnly [maxlength]="amountLengthLimit(loanLimits.tenures.maxTenure)" />
                                <mat-error *ngIf="form.tenure.errors && form.tenure.errors.required">Please enter tenure</mat-error>
                            </mat-form-field>
                        </div>
                        <div class="form-col slider-col" *ngIf="form.loanDuration.value == 1 ">
                            <mat-slider (change)="updateTenure($event)" [step]="tenureSliderStep" [min]="loanLimits.tenures.minTenure" [max]="loanLimits.tenures.maxTenure" [value]="form.tenure.value"></mat-slider>
                            <label class="loan-range clearfix">
                                <span class="less-range">{{loanLimits.tenures.minTenure}} Day</span>
                                <span class="more-range">{{loanLimits.tenures.maxTenure}} Days</span>
                            </label>
                        </div>
                        <div class="form-col slider-col" *ngIf="form.loanDuration.value == 2 ">
                            <mat-slider (change)="updateTenure($event)" [step]="tenureMonthSliderStep" [min]="loanLimits.tenuresMonth.minTenure" [max]="loanLimits.tenuresMonth.maxTenure" [value]="form.tenure.value"></mat-slider>
                            <label class="loan-range clearfix">
                                <span class="less-range">{{loanLimits.tenuresMonth.minTenure}} Month</span>
                                <span class="more-range">{{loanLimits.tenuresMonth.maxTenure}} Months</span>
                            </label>
                        </div>
                    </div>
                </div>

                <div class="btn-wrap">
                    <button type="submit" [class.disabled]="!loanPurposeFormGroup.valid" (click)="saveLoanDetails()" mat-button [disableRipple]="true">Next</button>
                </div>
                <app-loader *ngIf="formSubmitted"></app-loader>
            </div>
        </div>
    </form>
</div>
